package com.huashe.park.core.mapper;

import java.util.List;

import com.huashe.park.domain.dto.VideoFence;
import com.huashe.park.domain.entity.BdCameraInfo;

/**
 * 视频设备Mapper接口
 * 
 * @author ruoyi
 * @date 2025-01-21
 */
public interface BdCameraInfoMapper {
    /**
     * 查询视频设备
     * 
     * @param id 视频设备主键
     * @return 视频设备
     */
    public BdCameraInfo selectBdCameraInfoById(Long id);

    /**
     * 查询视频设备列表
     * 
     * @param bdCameraInfo 视频设备
     * @return 视频设备集合
     */
    public List<BdCameraInfo> selectBdCameraInfoList(BdCameraInfo bdCameraInfo);

    /**
     * 新增视频设备
     * 
     * @param bdCameraInfo 视频设备
     * @return 结果
     */
    public int insertBdCameraInfo(BdCameraInfo bdCameraInfo);

    /**
     * 修改视频设备
     * 
     * @param bdCameraInfo 视频设备
     * @return 结果
     */
    public int updateBdCameraInfo(BdCameraInfo bdCameraInfo);

    /**
     * 删除视频设备
     * 
     * @param id 视频设备主键
     * @return 结果
     */
    public int deleteBdCameraInfoById(Long id);

    /**
     * 批量删除视频设备
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBdCameraInfoByIds(Long[] ids);

    public List<VideoFence> selectBdCameraFence();
}
